Heads up During early access these endpoints are served through MCPconnect your agent in two minutes. Direct REST calls are available on the Unlimited plan: email us.

Balance sheet

Assets, liabilities, equity — current and non-current, per period.

GET /v1/financials/{ticker}/balance-sheet free

Parameters

NameTypeReqDescription
tickerpathyesTicker symbol.
frequencyenumnoquarterly · yearly. Default quarterly.
limitintnoMost recent periods. Default 8, max 200. Pass 200 to get the full history available for the ticker.

Example

curl -H "X-API-Key: rk_YOUR_KEY" \
  "https://api.rockmoon.ai/v1/financials/AAPL/balance-sheet?frequency=quarterly&limit=2"
Response 200
{
  "ticker": "AAPL",
  "market": "US",
  "accounting_standard": "USGAAP",
  "balance_sheet": [
    { "period": "2025Q4",
      "report_date": "2025-12-27",
      "cash_and_equivalents": 45317000000,
      "short_term_investments": 21590000000,
      "accounts_receivables": 39921000000,
      "net_receivables": 70320000000,
      "inventory": 5875000000,
      "prepaids": null,
      "total_current_assets": 158104000000,
      "ppe": 50159000000,
      "long_term_investments": 77888000000,
      "goodwill": null,
      "intangible_assets": null,
      "operating_lease_rou": null,
      "non_current_assets_total": null,
      "total_assets": 379297000000,
      "accounts_payable": 70587000000,
      "accrued_expenses": null,
      "deferred_revenue": 9413000000,
      "short_term_debt": 13824000000,
      "tax_payables": null,
      "total_current_liabilities": 162367000000,
      "long_term_debt": 76685000000,
      "capital_lease_obligations": null,
      "non_current_liabilities_total": null,
      "total_liabilities": 291107000000,
      "common_stock": null,
      "preferred_stock": null,
      "additional_paid_in_capital": null,
      "retained_earnings": -2177000000,
      "accumulated_other_comprehensive_income": -4854000000,
      "treasury_stock": null,
      "minority_interest_bs": null,
      "total_equity": 88190000000,
      "shares_outstanding": 14702703000 }
  ],
  "trace_id": "3a62d77e8f15445885482f4cd16f33bc"
}
Errors
HTTPCodeCause
404ticker_not_foundUnknown ticker.
429rate_limit_exceededRate limit hit. Honor Retry-After.

Notes

  • Lease liabilities are kept separate from debt — not merged into long_term_debt / short_term_debt.
  • Goodwill vs intangibles are reported separately when the filer discloses them as separate line items.
  • Null fields mean the filer didn't disclose that line in the period — not zero.